using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 邀请码
/// </summary>
[Description("邀请码")]
public class InviteCode : CreationSoftDeleteEntity
{
    /// <summary>
    /// 邀请码开始
    /// 邀请码开始 -> 结束 范围内的邀请码都有效
    /// </summary>
    [SugarColumn(ColumnDescription = "邀请码开始")]
    public int BeginCode { get; set; }

    /// <summary>
    /// 邀请码结束
    /// 邀请码开始 -> 结束 范围内的邀请码都有效
    /// </summary>
    [SugarColumn(ColumnDescription = "邀请码结束")]
    public int EndCode { get; set; }

    /// <summary>
    /// 部门名称
    /// </summary>
    [SugarColumn(ColumnDescription = "部门名称")]
    public string OrgName { get; set; }

    /// <summary>
    /// 上级部门ID
    /// </summary>
    [SugarColumn(ColumnDescription = "上级部门ID")]
    public string? ParentOrgId { get; set; }

    /// <summary>
    /// 邀请码Url
    /// </summary>
    [SugarColumn(ColumnDescription = "邀请码Url")]
    public string? QRCodeUrl { get; set; }

    /// <summary>
    /// 上传附件Id
    /// </summary>
    [SugarColumn(ColumnDescription ="上传附件Id")]
    public string? Additions { get; set; }
}
